List locations.
curl --request GET \
--url https://a.s2.dev/v1/locations \
--header 'Authorization: Bearer <token>'[
{
"is_private": true,
"name": "<string>",
"default_storage_class": "<string>",
"storage_classes": [
"<string>"
]
}
]{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}locations
List locations.
List S2 locations available to the account.
GET
/
locations
List locations.
curl --request GET \
--url https://a.s2.dev/v1/locations \
--header 'Authorization: Bearer <token>'[
{
"is_private": true,
"name": "<string>",
"default_storage_class": "<string>",
"storage_classes": [
"<string>"
]
}
]{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Basin location concepts
Review how locations affect basin placement, latency, and account defaults.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your access token.
Response
Location represents a private placement, limited by account.
Location name.
Required string length:
1 - 64Default storage class for this location.
Storage classes available to the account in this location.

